All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::template_base::loop_body_base Struct Referenceabstract

`#include <template_base.hpp>`

## Public Member Functions

virtual void | operator() (utils::kernel_generation_stream &stream, unsigned int simd_width) const =0
virtual | ~loop_body_base ()

## Detailed Description

Definition at line 433 of file template_base.hpp.

## Constructor & Destructor Documentation

virtual viennacl::device_specific::template_base::loop_body_base::~loop_body_base | ( |  | ) |

inline virtual

Definition at line 436 of file template_base.hpp.

## Member Function Documentation

virtual void viennacl::device_specific::template_base::loop_body_base::operator() | ( | utils::kernel_generation_stream & | stream,
|  | unsigned int | simd_width
| ) |  | const

pure virtual

The documentation for this struct was generated from the following file:

- viennacl/device_specific/templates/template_base.hpp